# Search for a contact

The service requires at least one of the following input combinations:

Set A - a1, loc, adminarea, postal

Set B - phone

Set C - full / last / anyname / comp, adminarea

Set C - full / last / anyname / comp, postal

Endpoint: GET /docontactSearch

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `id` (string, required)
    Required. The License Key issued by Melissa.
    Example: "REPLACE-WITH-YOUR-LICENSE-KEY"

  - `matchlevel` (string)
    0-100. The weighted percentage of how close the query matches the returned record. Anything less than 80% is questionable.
    Example: "10"

  - `maxrecords` (string)
    The maximum number of records to return.
    Example: "10"

  - `t` (string)
    This is a string value that serves as a unique identifier for this set of records. It is returned as sent.
    Example: "Test"

  - `a1` (string)
    The input field for the address. This should contain the delivery address information (house number, thoroughfare, building, suite, etc.)
    Example: "22382+Avenida+Empresa"

  - `adminarea` (string, required)
    State, Province. The most common geographic data element.
    Example: "CA"

  - `ctry` (string)
    The suspected country of the input phone number as the official country name or the ISO2 code. Some territories will require a different ISO2 code than the one that is given to them.

  - `loc` (string)
    City, Municipality. The most common population center data element.
    Example: "RSM"

  - `phone` (string)
    The phone number of the individual or company.

  - `postal` (string)
    ZIP, Postcode. The complete postal code for a particular delivery point.
    Example: "92688"

  - `premnum` (string)
    Street Number. Alphanumeric indicator for the most common street or block data element.

  - `subpremnum` (string)
    Suite Number. The Sub premises alphanumeric indicator for the most common street or block data element.

  - `tname` (string)
    Street Name. Name indicator for the most common street or block data element.

  - `postdir` (string)
    Street Post Direction. The postfix directional for the most common street or block data element.

  - `predir` (string)
    Street PreDirection. The prefix directional for the most common street or block data element.

  - `trailingtype` (string)
    Street Suffix. The trailing thoroughfare type indicator for the most common street or block data element.

  - `anyname` (string, required)
    Either an individual's name or a company name. It's better to use the Company Name or Full Name input fields if you know for sure.
    Example: "Melissa+Data"

  - `comp` (string)
    The name of a business or corporation.

  - `first` (string)
    The first name of an individual.

  - `full` (string)
    The full name of an individual. Inverse name order is also accepted (Smith Tim vs. Tim Smith).

  - `last` (string)
    The last name of an individual.

  - `subuser` (string)
    The Sub User ID. This is used to identify a group or users for multiple users/seats for logging purposes.

## Response 200 fields (application/json):

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

  - `Version` (string)
    The current service version number.

  - `ResultCode` (string)
    Comma delimited status, error codes, and change codes for the request.

  - `TotalRecords` (string)
    Total number of records.

  - `Results` (array)
    A results array containing the returned records.

  - `Results.MatchLevel` (string)
    The percentage match level of the record with the request. Ideally above 80%.

  - `Results.RecordID` (string)
    The number of the record. Always 1 for a single request, otherwise it serves as an index of the array of records.

  - `Results.Address` (object)

  - `Results.Address.Address1` (string)
    The standardized or corrected contents of the input address.

  - `Results.Address.DependentLocality` (string)
    Urbanization. Smaller population center data element. Dependent on Locality.

  - `Results.Address.Locality` (string)
    City. Most common population center data element.

  - `Results.Address.LocalityAlternates` (string)
    Alternate names for the locality (e.g. vanity names).

  - `Results.Address.AdministrativeArea` (string)
    State. Most common geographic data element.

  - `Results.Address.CountryCode` (string)
    The country ISO code.

  - `Results.Address.CountryName` (string)
    The official country name.

  - `Results.Address.Thoroughfare` (string)
    Street. The most common street or block data element.

  - `Results.Address.ThoroughfarePreDirection` (string)
    Street PreDirection. The prefix directional contained within the Thoroughfare field.

  - `Results.Address.ThoroughfareName` (string)
    Street Name. The name indicator within the Thoroughfare field.

  - `Results.Address.ThoroughfareTrailingType` (string)
    Street Suffix. The trailing thoroughfare type indicator within the Thoroughfare field.

  - `Results.Address.ThoroughfarePostDirection` (string)
    Street Post Direction. The postfix directional contained within the Thoroughfare field.

  - `Results.Address.Premises` (string)
    Street Number.

  - `Results.Address.PremiseType` (string)
    Leading premise type indicator within premises field.

  - `Results.Address.PremiseNumber` (string)
    The alphanumeric indicator within premises field.

  - `Results.Address.SubPremises` (string)
    Suite. Alphanumeric code identifying an individual location.

  - `Results.Address.SubPremiseType` (string)
    Suite Name. Sub premises type indicator within premises field.

  - `Results.Address.SubPremiseNumber` (string)
    Suite Number. Sub premises number indicator within premises field.

  - `Results.Address.PostalCode` (string)
    Zip (Plus 4). Complete postal code for a particular delivery point. In U.S. plus 4 is not required but will be appended if address is verified.

  - `Results.Address.PostalCodeSecondary` (string)
    A secondary postal code associated with the record when available. (eg. Plus4)

  - `Results.Address.MelissaAddressKey` (string)
    A unique key associated with an address.

  - `Results.Address.MelissaAddressKeyBase` (string)
    A unique key associated with a building containing multiple suites/apartments.

  - `Results.Consumer` (object)

  - `Results.Consumer.FullName` (string)
    The full name of an individual associated with the record.

  - `Results.Consumer.FirstName` (string)
    The first name of an individual associated with the record.

  - `Results.Consumer.MiddleName` (string)
    The middle name of an individual associated with the record.

  - `Results.Consumer.LastName` (string)
    The last name of an individual associated with the record.

  - `Results.Consumer.Suffix` (string)
    The first suffix (such as “Jr.” or “III”) from an inputted full name.

  - `Results.Consumer.OtherFullNames` (string)
    Other names associated with the record.

  - `Results.Consumer.MelissaIdentityKey` (string)
    A unique key associated with the Consumer Record.

  - `Results.CompanyName` (object)

  - `Results.CompanyName.CompanyName` (string)
    The company name associated with the record.

  - `Results.CompanyName.OtherCompanyNames` (string)
    Other company names associated with the record.

  - `Results.CompanyName.MelissaEnterpriseKey` (string)
    A unique key associated with the Business Record.

  - `Results.Phone` (object)

  - `Results.Phone.Phone` (string)
    The standardized phone number.

  - `Results.Phone.OtherPhones` (string)
    Other phone numbers associated with the record.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


